API ReferenceChangelog
Log In
API Reference

Copy video data from an S3 bucket into the Pixop Platform

Copies video data from an S3 bucket into the Pixop Platform, making it available for processing. A new master video record is created for the selected team, and an asynchronous multipart copy operation from the provided S3 bucket to Pixop is initiated.

The status of the copy operation can be tracked using:

The videoId is returned in the response.

Workflow:

  1. Copy Operation: Once complete, the status updates to DONE.
  2. Ingestion Process: If FullIngestion is true, Pixop extracts thumbnails, full frames, and a web video.
  3. Free 10-Second Clip: Unless disabled for the team, a free 10-second clip is automatically created and becomes available via GET /v1/videos/{videoId}/derived.
    This clip is treated as a separate video and will trigger its own clip_processing and clip_ingestion webhook events under a new videoId.

Note:

  • If the video size exceeds 500 GB, a 400 Bad Request response is returned.
  • A 400 Bad Request may also be returned for other reasons, such as invalid credentials.
  • A 404 Not Found response is returned if the bucket, or object does not exist.
Query Params
boolean
Defaults to false

Determines the ingestion level:

  • false: Only metadata is ingested. Thumbnails, web video artifacts, quality assessments, and deep scanning type analysis are not performed. This mode is suitable for third-party integrations that process videos in an ephemeral manner.
  • true: Full ingestion is performed, including metadata, thumbnails, web video artifacts, quality assessments, and deep scanning analysis. This mode is used for videos that need to be available on the web application.
uuid

Specifies the team ID for the operation.

  • For POST requests, assigns the new object to the specified team.
  • For GET requests, retrieves data for the specified team. If not provided, defaults to the ID of the default team associated with the API key.
Body Params

Parameters required for importing a video from a specified S3 bucket into the Pixop Platform.

string
required
length between 1 and 255

The name of the video. Used to easily identify specific videos within projects. The name must be between 1 and 255 characters long.

string
length between 0 and 511

Optional description of the video. The description must be between 0 and 511 characters long.

uuid

A universally unique identifier (UUID) compliant with RFC 4122. Used as a unique key to identify resources or entities across systems.

string
length between 1 and 255

The name of the file, including its extension. E.g., myvideo.mp4.

string
required
length between 1 and 1024

The object key of a video in an S3 bucket. For example, src/myvideo.mp4.

s3Bucket
object
required

Represents the fields that can be updated for an S3 bucket with access keys.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*